WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: OpenID] May not work with all host/server (2 posts)

  1. psychederic
    Member
    Posted 5 years ago #

    FOr instance this could not work on all host :
    require_once(’Auth/OpenID.php’)
    (same problem for all require_once)

    sometimes you need the full url, and i wish the next include this :

    require_once($openidpath.’Auth/OpenID.php’)

    with maybe openidpath declared somewhere, or detected.

    $openidpath= $_SERVER[DOCUMENT_ROOT].’/blogsubdir/wp-content/plugins/openid/’ ;

    http://wordpress.org/extend/plugins/openid/

  2. Will Norris
    Member
    Posted 5 years ago #

    are you actually having this problem yourself?

    If you take a look at openid.php, you'll see that one of the first things the plugin does is to update the PHP include path. So no, this shouldn't ever actually be a problem. If you are running into problems, then there's certainly a problem somewhere, and I'd love to hear more about your environment.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags